Skip to main content
GET
/
libraries
List Libraries
curl --request GET \
  --url https://api.tenbyte.io/v1/vidinfra/libraries \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.get("https://api.tenbyte.io/v1/vidinfra/libraries")
.header("Authorization", "Bearer <token>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": [
    {
      "updated_at": "2025-10-09T10:56:43.735141Z",
      "created_at": "2025-10-09T10:56:43.735141Z",
      "created_by": "2fa3fe27-ffcd-470b-becf-83f6f22a93ab",
      "updated_by": null,
      "name": "Product Launch Videos",
      "usage_type": "marketing",
      "description": "Videos for product launches and announcements.",
      "default_privacy": "unlisted",
      "status": "provisioning",
      "region": "us-east-1",
      "id": "5f6d1de8-6499-4bb0-8d9c-13cecf79752a",
      "distribution_id": "00000000-0000-0000-0000-000000000000",
      "organization_id": "677826f5-1aea-4cba-8973-043cdbc60f35"
    },
    {
      "updated_at": "2025-10-09T10:58:09.093656Z",
      "created_at": "2025-10-09T10:58:08.346044Z",
      "created_by": "2fa3fe27-ffcd-470b-becf-83f6f22a93ab",
      "updated_by": null,
      "name": "Product Launch Videos",
      "usage_type": "marketing",
      "description": "Videos for product launches and announcements.",
      "default_privacy": "unlisted",
      "status": "provisioning",
      "region": "us-east-1",
      "id": "7eb23480-76fc-4103-93db-52c0f0763839",
      "distribution_id": "efe055d2-f4f5-41cf-8068-a6454016c0ea",
      "organization_id": "677826f5-1aea-4cba-8973-043cdbc60f35"
    }
  ],
  "meta": {
    "links": {
      "self": "/libraries/?limit=20&page=1",
      "first": "/libraries/?limit=20&page=1",
      "last": "/libraries/?limit=20&page=1"
    },
    "pagination": {
      "page": 1,
      "page_size": 20,
      "total": 2,
      "total_pages": 1
    }
  },
  "message": "Libraries Fetched Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
string
limit
string
filter[name][eq]
string
filter[distribution_id][eq]
string
filter[status]
string
sort
string

Response

data
object[]
required
meta
object
required
message
string
required
success
boolean
required